Accept a lead and start tracking
curl --request POST \
--url https://app.raisegate.com/api/v1/leads/{id}/track \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"thingsToTrack": "Fundraising, first customers and product launches.",
"alertEmails": [
"partners@fund.example"
]
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
thingsToTrack: 'Fundraising, first customers and product launches.',
alertEmails: ['partners@fund.example']
})
};
fetch('https://app.raisegate.com/api/v1/leads/{id}/track', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://app.raisegate.com/api/v1/leads/{id}/track"
payload = {
"thingsToTrack": "Fundraising, first customers and product launches.",
"alertEmails": ["partners@fund.example"]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"data": {},
"operation": {
"entityId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"pollUrl": "<string>",
"enrichmentStatus": "queued",
"enrichmentComplete": true,
"suggestedPollIntervalSeconds": 123
},
"leadId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"alreadyTracked": true,
"existingEntity": true
}{
"data": {},
"operation": {
"entityId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"pollUrl": "<string>",
"enrichmentStatus": "queued",
"enrichmentComplete": true,
"suggestedPollIntervalSeconds": 123
},
"leadId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"alreadyTracked": true,
"existingEntity": true
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
}
}Leads
Accept a lead and start tracking
The API equivalent of Track in the UI. Requires leads:write and tracker:write. The lead supplies identity; you supply tracking settings. Poll operation.pollUrl as for create.
POST
/
api
/
v1
/
leads
/
{id}
/
track
Accept a lead and start tracking
curl --request POST \
--url https://app.raisegate.com/api/v1/leads/{id}/track \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"thingsToTrack": "Fundraising, first customers and product launches.",
"alertEmails": [
"partners@fund.example"
]
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
thingsToTrack: 'Fundraising, first customers and product launches.',
alertEmails: ['partners@fund.example']
})
};
fetch('https://app.raisegate.com/api/v1/leads/{id}/track', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://app.raisegate.com/api/v1/leads/{id}/track"
payload = {
"thingsToTrack": "Fundraising, first customers and product launches.",
"alertEmails": ["partners@fund.example"]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"data": {},
"operation": {
"entityId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"pollUrl": "<string>",
"enrichmentStatus": "queued",
"enrichmentComplete": true,
"suggestedPollIntervalSeconds": 123
},
"leadId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"alreadyTracked": true,
"existingEntity": true
}{
"data": {},
"operation": {
"entityId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"pollUrl": "<string>",
"enrichmentStatus": "queued",
"enrichmentComplete": true,
"suggestedPollIntervalSeconds": 123
},
"leadId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"alreadyTracked": true,
"existingEntity": true
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
}
}Authorizations
Body
application/json
⌘I